Summary: A library for managing the contents of 389 Directory Server
Name: python-idm389
Version: 1.0.0
Release: 1%{?dist}
%global tarver %{version}-1
# Where should we put this too ....
Source0: http://www.port389.org/binaries/%{name}-%{tarver}.tar.bz2
License: GPLv3+
Group: Development/Libraries
BuildArch: noarch
Url: https://github.com/Firstyear/idm389
BuildRequires: python2-devel
BuildRequires: python-lib389
BuildRequires: python-setuptools
Requires: python-lib389

%{?python_provide:%python_provide python2-idm389}

%description
A library to manage the users, groups, permissions and other functions of a 389
Directory Server installation.

%prep
%setup -q -n %{name}-%{tarver}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%license LICENSE
%doc README.md
%{python2_sitelib}/*
%{_sbindir}/*

%changelog
* Thu Jun 23 2016 William Brown <wibrown@redhat.com> - 1.0.0-1
- Create spec file

